HELOC Pre-Qualification/Offers
Pre-qualify (v1)
/products /heloc /pre-qualify /v1Generate personalized HELOC offers for potential affiliate leads.
Request body
application/jsonaffiliateIdstring<uuid>RequiredThis 36 char UUID is the API key
requestTypeenumRequiredRequestType:
OFFERS- returns offersPREQUAL- returns status and urlPREPOP- bypasses prequalification and makes all fields optional
One ofUNKNOWN_REQUESTOFFERSPREQUALPREPOPLEADUNRECOGNIZEDremarketingAllowedbooleanRequiredBased on affiliate agreement, determines whether Figure is able to remarket via email & SMS
Default
trueloanPurposeenumRequiredNot required but highly encouraged, used for prepop on registration page LoanPurpose:
DEBT_CONSOLIDATIONHOME_IMPROVEMENTTRAVELEDUCATIONHEALTH_OR_MEDICALCARING_FOR_FAMILYRETIREMENTMAJOR_PURCHASEOTHER
One of11 values
UNKNOWN_LOAN_PURPOSEDEBT_CONSOLIDATIONHOME_IMPROVEMENTTRAVELEDUCATIONHEALTH_OR_MEDICALCARING_FOR_FAMILYRETIREMENTMAJOR_PURCHASEOTHERUNRECOGNIZEDDefault
UNKNOWN_LOAN_PURPOSEprivacyPolicyOptInbooleanRequiredDetermines if user accepted the Figure Privacy Policy or not
Default
falsefirstNamestringFirst name
lastNamestringLast name
suffixstringnullablesuffix
emailstringEmail address
addressobjectShowHide 9 attributes of address
uuidstring<uuid>street1stringProperty street address
street2stringProperty street continued
citystringProperty city
statestring2 char US state
zipstring5 or 5+4 char US zip code
typeenumType:
HOMEMAILINGSECONDARYINVESTMENT
One ofHOMEMAILINGSECONDARYINVESTMENTUNRECOGNIZEDownershipenumOwnership:
SOLEJOINTTRUSTLLCOTHERUNKNOWN
One ofUNKNOWNSOLEJOINTTRUSTLLCOTHERUNRECOGNIZEDownerLegalNamestring
leadIdstringThe lead's unique identifier
phonestringPhone number
selfCreditRatingenumCreditProfileDescription:
UNKNOWN_CREDITEXCELLENTGOODFAIRPOOR
One ofUNKNOWN_CREDITEXCELLENTGOODFAIRPOORUNRECOGNIZEDsourcestringDeprecateddobstring<date>Date of birth in YYYY-MM-DD format
ficointegerEstimated credit score
amountToBorrowintegerRequested loan amount, not required but highly encouraged to get directed offers
currentMortgageBalancesintegerRemaining mortgage balance.
campaignNamestringAffiliate-provided campaign name
campaignSubSourcestringDomain of site that generated that lead
ssnstringSocial security number
employmentStatusenumNot required but highly encouraged, used for prepop on registration page EmploymentStatus:
EMPLOYEDUNEMPLOYEDSELF_EMPLOYEDMILITARYRETIREDUNKNOWN_STATUS
One ofUNKNOWN_STATUSEMPLOYEDUNEMPLOYEDSELF_EMPLOYEDMILITARYRETIREDUNRECOGNIZEDhouseholdIncomenumberCurrent yearly household income
monthlyExpensesnumberEstimated total monthly expenses, excluding mortgage payments
mailingAddressobjectShowHide 9 attributes of mailingAddress
uuidstring<uuid>street1stringProperty street address
street2stringProperty street continued
citystringProperty city
statestring2 char US state
zipstring5 or 5+4 char US zip code
typeenumType:
HOMEMAILINGSECONDARYINVESTMENT
One ofHOMEMAILINGSECONDARYINVESTMENTUNRECOGNIZEDownershipenumOwnership:
SOLEJOINTTRUSTLLCOTHERUNKNOWN
One ofUNKNOWNSOLEJOINTTRUSTLLCOTHERUNRECOGNIZEDownerLegalNamestring
queryParamsstringnullableAppend additional query parameters to applicant url. Only utm_id is supported currently.
propertyValuenumbernullableEstimate value of property. Required property attestation is true for affiliate profile
monthlyMortgagePaymentnumbernullableMonthly payment on mortgage. High recommended for attested property values so offers can be more accurate.
Responses
200successful operationobject
statusstringRequiredOffers or No Offers
productenumRequiredProduct type ex. HELOC
One of28 values
UNKNOWN_PRODUCT_TYPEHELOCLEASE_BACKPLCASHOUT_REFISTUDENT_LOAN_REFIMERLOCINVESTOR_PASSPORTBANKMARKETPLACE_AUCTIONCSPBANK_CREDITSERVICINGPIGGYBACKAPP_AFFILIATEPURCHASE_MORTGAGEAPP_AFFILIATE_HELOCMORTGAGECRYPTO_PLCRYPTO_HELOCDFSINVESTOR_PASSPORT_PROFILEHELOANUNIVERSAL_PASSPORTPIGGYBACK_V2DSCRBUSINESS_ONBOARDINGUNRECOGNIZEDpersonalizedUrlstringRequiredLink out to figure.com
offersarray of objectsList of offer objects for approved requests
ShowHide 7 attributes of offers
terminteger<int32>RequiredPay off period in months
rateTypestringRequiredFixed or variable
loanAmountnumberRequiredRequested amount and/or max amount offered plus origination fee
interestRatenumberRequiredInterest rate
monthlyPaymentnumberRequiredMonthly payment on plan
aprnumberRequiredAnnual percentage rate
originationFeenumberRequiredFee that will be added to loan amount
cannedTextstring
400Incorrect credentials
No documented body.
408Request timeout (default timeout is 30s)
No documented body.
/products /heloc /pre-qualify /v1